rotate {raster} | R Documentation

## Rotate

### Description

Rotate a Raster* object that has x coordinates (longitude) from 0 to 360, to standard coordinates between -180 and 180 degrees. Longitude between 0 and 360 is frequently used in global climate models.

### Usage

    ## S4 method for signature 'Raster'
    rotate(x, filename='', ...)

### Arguments

`x` | Raster* object
`filename` | character. Output filename (optional)
`...` | additional arguments as for `writeRaster`

### Value

RasterLayer or a RasterBrick object

### See Also

`flip`

### Examples

    r <- raster(nrow=18, ncol=36)
    m <- matrix(1:ncell(r), nrow=18)
    r[] <- as.vector(t(m))
    extent(r) <- extent(0, 360, -90, 90)
    rr <- rotate(r)

[Package raster version 2.5-2 Index]